## org.jvnet.libpam
Class UnixUser

    java.lang.Object
      org.jvnet.libpam.UnixUser

    public final class UnixUser

extends java.lang.Object

Represents an Unix user. Immutable.

Author:
  Kohsuke Kawaguchi

Constructor Summary
`UnixUser(java.lang.String userName)`

Method Summary
`static boolean` `exists(java.lang.String name)`
`int` `getGID()` Gets the GID of this user.
`java.util.Set<java.lang.String>` `getGroups()` Gets the groups that this user belongs to.
`int` `getUID()` Gets the UID of this user.
`java.lang.String` `getUserName()` Gets the unix account name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnixUser

    public UnixUser(java.lang.String userName)
             throws PAMException

Throws:
  `PAMException`

Method Detail

### getUserName

    public java.lang.String getUserName()

  Gets the unix account name. Never null.

### getUID

    public int getUID()

  Gets the UID of this user.

### getGID

    public int getGID()

  Gets the GID of this user.

### getGroups

    public java.util.Set<java.lang.String> getGroups()

  Gets the groups that this user belongs to.

  Returns:
    never null.

### exists

    public static boolean exists(java.lang.String name)

Copyright © 2012. All Rights Reserved.